Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class TFootElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.TFootElement

public final class TFootElement
extends MultiPartElement

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TFootElement()` Deprecated.

Method Summary
`TFootElement` | `addElement(TableRowElement tre)` Deprecated. Adds a TableRowElement to a TableFootElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`TFootElement` | `setAlign(AlignType align)` Deprecated. Sets the ALIGN attribute for a TFootElement.
`TFootElement` | `setCharAlign(java.lang.String chr)` Deprecated. Sets the ALIGN attribute for a TFootElement to "char", and sets the character for alignment as specified.
`TFootElement` | `setCharOffset(int offset)` Deprecated. Sets the offset of an alignment character.
`TFootElement` | `setCharOffset(java.lang.String chr, int offset)` Deprecated. Sets the offset of the specified alignment character on each line.
`TFootElement` | `setVAlign(AlignType align)` Deprecated. Sets the vertical alignment for a TFootElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printCR, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TFootElement

    public TFootElement()

  Deprecated.

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### setAlign

    public TFootElement setAlign(AlignType align)

  Deprecated.
  Sets the ALIGN attribute for a TFootElement. Valid AlignType variables for this are left, right, or center.

  Parameters:
    `align` - AlignType: left, right, center

### setVAlign

    public TFootElement setVAlign(AlignType align)

  Deprecated.
  Sets the vertical alignment for a TFootElement.

  Parameters:
    `align` - AlignType: top, middle, bottom, baseline

### setCharAlign

    public TFootElement setCharAlign(java.lang.String chr)

  Deprecated.
  Sets the ALIGN attribute for a TFootElement to "char", and sets the character for alignment as specified. This attribute specifies the offset in the table column to the first occurrence of the alignment character on each line, and in the absence of such a character, the table contents are horizontally shifted to end at the alignment position.

### setCharOffset

    public TFootElement setCharOffset(int offset)

  Deprecated.
  Sets the offset of an alignment character. The margin from which the offset is measured is determined by the direction of text, set by the DIR attribute.

### setCharOffset

    public TFootElement setCharOffset(java.lang.String chr,
                                      int offset)

  Deprecated.
  Sets the offset of the specified alignment character on each line. The margin from which the offset is measured is determined by the direction of text, set by the DIR attribute.

### addElement

    public TFootElement addElement(TableRowElement tre)

  Deprecated.
  Adds a TableRowElement to a TableFootElement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference